Web lists-archives.com

libsecret1_0 dependencies : was Re: [ANNOUNCEMENT] Update: pinentry-1.0.0-1




On 02/07/2017 21:50, Marco Atzeri wrote:
On 02/07/2017 21:19, İsmail Dönmez wrote:
Hi,


On Fri, Jun 30, 2017 at 2:55 PM, Marco Atzeri  wrote:
New version 1.0.0-1  of

        pinentry

is available in the Cygwin distribution:

CHANGES
Latest upstream release
First version for cygwin 64 bit

DESCRIPTION
Secure PinEntry Dialog
This is required by GnuPG-2

This package seems to depend on libgtk+3, is that intended?

Regards,
ismail


It has several interfaces

  /usr/bin/pinentry
  /usr/bin/pinentry-curses.exe
  /usr/bin/pinentry-emacs.exe
  /usr/bin/pinentry-gnome3.exe
  /usr/bin/pinentry-gtk-2.exe
  /usr/bin/pinentry-qt.exe
  /usr/bin/pinentry-w32.exe

I will split in a main one and the separate interface to reduce the
dependency burden

I was wrong, as the package is already well split,
the dependency burden is coming from one of the library:

requires: bash cygwin libassuan0 libglib2.0_0 libgpg-error0 libiconv2 libncursesw10 libsecret1_0

$ cygcheck-dep -c -R libsecret1_0

libsecret1_0: recursively requires ( adwaita-icon-theme at-spi2-core base-cygwin bash ca-certificates coreutils cygwin dconf-service dejavu-fonts desktop-file-utils dri-drivers findutils gamin gcr gdk-pixbuf2.0-svg glib2.0-networking gnome-keyring gsettings-desktop-schemas gtk-update-icon-cache hicolor-icon-theme libatk-bridge2.0_0 libatk1.0_0 libatspi0 libattr1 libbz2_1 libcairo2 libcom_err2 libcroco0.6_3 libdatrie1 libdbus1_3 libedit0 libEGL1 libepoxy0 libexpat1 libfam0 libffi6 libfontconfig-common libfontconfig1 libfreetype6 libgcc1 libgck1_0 libgcr-base3_1 libgcr-ui3-common libgcr-ui3_1 libgcrypt20 libgdk_pixbuf2.0_0 libGL1 libglapi0 libglib2.0_0 libgmp10 libgnutls28 libgnutls30 libgpg-error0 libgraphite2_3 libgssapi_krb5_2 libgtk3_0 libharfbuzz0 libhogweed2 libhogweed4 libiconv2 libidn2_0 libintl8 libjasper1 libjasper4 libjbig2 libjpeg8 libjson-glib1.0_0 libk5crypto3 libkrb5_3 libkrb5support0 libllvm3.9 libllvm4.0 liblzma5 liblzo2_2 libncursesw10 libnettle4 libnettle6 libp11-kit0 libpango1.0_0 libpcre1 libpixman1_0 libpng16 libproxy1 libreadline7 librest0.7_0 librsvg2_2 libsoup-gnome2.4_1 libsoup2.4_1 libsqlite3_0 libstdc++6 libtasn1_6 libthai0 libtiff6 libtxc_dxtn libunistring2 libX11-xcb1 libX11_6 libXau6 libxcb-glx0 libxcb-render0 libxcb-shm0 libxcb1 libXcomposite1 libXcursor1 libXdamage1 libXdmcp6 libXext6 libXfixes3 libXft2 libXi6 libXinerama1 libxml2 libXrandr2 libXrender1 libXtst6 p11-kit p11-kit-trust pkg-config shared-mime-info terminfo tzcode tzdata zlib0 )

Yaakov,
can you check ? Some seem unexpected

$ cygcheck /usr/bin/cygsecret-1-0.dll |grep -v Windows
E:\cygwin\bin\cygsecret-1-0.dll
  E:\cygwin\bin\cygwin1.dll
  E:\cygwin\bin\cyggcrypt-20.dll
    E:\cygwin\bin\cyggpg-error-0.dll
      E:\cygwin\bin\cygintl-8.dll
        E:\cygwin\bin\cygiconv-2.dll
      E:\cygwin\bin\cyggcc_s-1.dll
  E:\cygwin\bin\cyggio-2.0-0.dll
    E:\cygwin\bin\cyggmodule-2.0-0.dll
      E:\cygwin\bin\cygglib-2.0-0.dll
        E:\cygwin\bin\cygpcre-1.dll
    E:\cygwin\bin\cyggobject-2.0-0.dll
      E:\cygwin\bin\cygffi-6.dll


Regards
Marco


--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple